package com.dji.sdk.cloudapi.psdk;

/**
 * PSDK UI resource upload result
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public class PsdkUiResourceUploadResult {

    /**
     * PSDK payload device index (0-3)
     */
    private Integer psdkIndex;

    /**
     * OSS object key
     */
    private String objectKey;

    /**
     * File size in bytes
     */
    private Integer size;

    /**
     * Error code
     */
    private Integer result;

    public PsdkUiResourceUploadResult() {
    }

    @Override
    public String toString() {
        return "PsdkUiResourceUploadResult{" +
                "psdkIndex=" + psdkIndex +
                ", objectKey='" + objectKey + '\'' +
                ", size=" + size +
                ", result=" + result +
                '}';
    }

    public Integer getPsdkIndex() {
        return psdkIndex;
    }

    public PsdkUiResourceUploadResult setPsdkIndex(Integer psdkIndex) {
        this.psdkIndex = psdkIndex;
        return this;
    }

    public String getObjectKey() {
        return objectKey;
    }

    public PsdkUiResourceUploadResult setObjectKey(String objectKey) {
        this.objectKey = objectKey;
        return this;
    }

    public Integer getSize() {
        return size;
    }

    public PsdkUiResourceUploadResult setSize(Integer size) {
        this.size = size;
        return this;
    }

    public Integer getResult() {
        return result;
    }

    public PsdkUiResourceUploadResult setResult(Integer result) {
        this.result = result;
        return this;
    }
}
